Subject: Re: rebase and ME
From: Nicholas Wourms <[email-masked]>
To: [email-masked]
Cc: Stephan Mueller <[email-masked]>
Date: Wed, 31 Jul 2002 07:16:09 -0700 (PDT)

--- Jason Tishler <[email-masked]> wrote:
> Richard,
> 
> On Tue, Jul 16, 2002 at 10:15:58PM -0700, Richard Campbell wrote:
> > Tried it tonight with a random dll from windows/system, which has
> > never been rebased as far as I know.
> > 
> > [snip]
> > 
> > ulmont@monolith
> >
>
/c/cygwindl/ftp%3a%2f%2farchive.progeny.com%2fcygwin/release/apache/mod_php4/usr/lib/apache/new
> > $ ./rebase1.exe -d -v -b 0x680000000  ./msxml3r.dll
> >
>
c:\cygwindl\ftp%3a%2f%2farchive.progeny.com%2fcygwin\release\apache\mod_php4\usr\lib\apache\new\msxml3r.dll:
> skipped because notrebaseable
> 
> The above DLL is not rebaseable even by MS's rebase:
> 
>     $ rebase -d -v -b 0x680000000 msxml3r.dll
> 
>     REBASE: Total Size of mapping 0x00000000
>     REBASE: Range 0xffffffff -0xffffffff
> 
> > Also tried it with the libphp4.dll after extracting said dll
> manually
> > from the bz2 file downloaded by setup.
> > 
> > ulmont@monolith
> >
>
/c/cygwindl/ftp%3a%2f%2farchive.progeny.com%2fcygwin/release/apache/mod_php4/usr/lib/apache/new
> > $ /c/dl//rebase1.exe -v -d -b 0x68000000 -o 0x10000
> > ./libphp4.dll
> > 
> > <segfault>
> 
> It appears that rebasing does not work under Me.

Stephan,

I'm sorry for bringing you in on this thread, but I believe there is
an major underlying problem with the ReBase functions in the
imagehlp.dll distributed with WindowsME.  Any external program which
tries to send arguments to the dll results in a segfault [Note: that
this is only confirmed for the ReBase function].  Any attempt to use
the ReBase.exe that comes with the latest Platform SDK results in
corrupted dlls or a segfault.  I have confirmed this on 3 other
peoples' machines running WindowsME.  Note that this behavior, of
course, is not seen on any of the other versions of Windows.  I was
hoping to see if there is anything you are aware of, as there is
nothing in either MSDN or Knowlegebase that I am aware of.  If not,
is there any legitimate means of reporting this to Microsoft without
having it ignored or not taken seriously?  Thanks in advance for your
time and considieration.

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Yahoo! Health - Feel better, live better
http://health.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/